<?php

/**
 * @entity asp.CertificationQueue
 */
abstract class CertificationQueueDAO extends ASPSOY2DAO{

	abstract function insert(CertificationQueue $bean);
	
	abstract function getByRegisterCode($registerCode);
	
	abstract function getBySiteId($siteId);
	
	/**
	 * @return object
	 */
	abstract function getByUserId($userId);
	
	abstract function get();
 	
 	abstract function deleteByUserId($userId);
 	   
}
?>
